#include "ipIdentity.h"

namespace Torch {

ipIdentity::ipIdentity(int width_, int height_, const char *coding_) : ipCore(coding_)
{
	width = width_;
        height = height_;

	seq_out = new(allocator) Sequence(1, width*height*n_planes);
}

void ipIdentity::process(Sequence *seq_in)
{
	switch(coding_id)
	{
	case 0:
	case 1:
	case 2:
	case 3: 
	       	for(int i = 0; i < width * height * n_planes ; i++)
			seq_out->frames[0][i] = seq_in->frames[0][i];
	
		break;
	}
}

ipIdentity::~ipIdentity()
{
}

}

